Upgrading version-dependent packages

If you are upgrading a computer that has one or more Centrify software packages that are version-dependent on one another, you should either:

  • Remove the Centrify packages that are version-dependent before upgrading the core agent packages, upgrade the core agent packages, then re-install the new versions of the version‑dependent packages.
  • Simultaneously upgrade the core agent packages and all of the additional packages that are version-dependent.

If you are upgrading a computer where there are no version dependencies, Centrify recommends you upgrade all packages simultaneously, if possible.